Skip to main content
GET
/
organizations
/
{organization_id}
/
employees
/
{employee_id}
Get Employee
curl --request GET \
  --url https://dev.intermezzo.ai/organizations/{organization_id}/employees/{employee_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "organizationId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "employeeData": {
    "birthDate": "2023-12-25",
    "personalData": {
      "employeeId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "id": 123,
      "employeeName": {
        "familyName": "<string>",
        "givenName": "<string>",
        "familyNamePrefix": "<string>",
        "givenNameSuffix": "<string>",
        "birthName": "<string>",
        "birthFamilyNamePrefix": "<string>",
        "birthGivenNameSuffix": "<string>",
        "title": "<string>"
      },
      "employmentCountry": "DE",
      "gender": "M",
      "maritalStatus": "Single",
      "nationality": "<string>",
      "residenceAddress": "<string>",
      "statusIndicator": "managing_partner_gmbh_ug",
      "validFrom": "2023-12-25",
      "validTo": "2023-12-25"
    },
    "relatedPersons": {
      "employeeId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "id": 123,
      "persons": [
        {}
      ],
      "employmentCountry": "DE",
      "validFrom": "2023-12-25",
      "validTo": "2023-12-25"
    },
    "jobDetails": {
      "employeeId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "employmentCountry": "DE",
      "jobType": "Full Time Indefinite Term",
      "employmentStatus": "Employee",
      "isSeasonalWorker": true,
      "jobTitle": "<string>",
      "jobDescription": "<string>",
      "schoolEducation": "Ohne Schulabschluss",
      "professionalEducation": "Ohne beruflichen Ausbildungsabschluss",
      "occupationCode": "<string>",
      "contractedWeeklyHours": 40,
      "contractedWeekdays": [
        "Monday"
      ],
      "contractedToOtherCompany": false,
      "worksiteId": "<string>",
      "department": "<string>",
      "otherJobs": [
        {
          "employmentCountry": "DE",
          "employerName": "<string>",
          "employmentStartDate": "2023-12-25",
          "monthlyGrossIncome": "<string>"
        }
      ],
      "validFrom": "2023-12-25",
      "validTo": "2023-12-25"
    },
    "insuranceDetails": {
      "employeeId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "employmentCountry": "DE",
      "insuranceNumber": "<string>",
      "contributionGroup": "<string>",
      "personGroup": 101,
      "insuranceProvider": "<string>",
      "alternateCollectionAgency": "<string>",
      "privateInsuranceHealthMonthly": "0",
      "privateInsuranceCareMonthly": "0",
      "careInsuranceChildren": 0,
      "u1Exempt": false,
      "u2Exempt": false,
      "uvRiskTariff": [
        {
          "tariffCode": "<string>",
          "tariffDescription": "<string>",
          "tariffPercentage": "0"
        }
      ],
      "pensionDetails": {
        "employmentCountry": "DE",
        "receivedMiningAdjustmentPayments": false,
        "pensionType": "full_old_age_pension_eu_eea_sva",
        "pensionStartDate": "2023-12-25",
        "waiverDeclarationStatus": "default",
        "waiverReceiptDate": "2023-12-25",
        "waiverValidityDate": "2023-12-25"
      },
      "validFrom": "2023-12-25",
      "validTo": "2023-12-25"
    },
    "taxDetails": {
      "employeeId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "taxId": "<string>",
      "taxClass": "1",
      "employmentCountry": "DE",
      "childAllowances": "0.0",
      "churchConfession": "AK",
      "churchConfessionPartner": "AK",
      "factorProcedure": false,
      "factor": 123,
      "taxAllowanceAmount": "0.00",
      "additionalTaxableAmount": "0.00",
      "validFrom": "2023-12-25",
      "validTo": "2023-12-25",
      "churchMember": false,
      "churchTaxState": "Baden-Württemberg"
    },
    "employmentCountry": "DE",
    "externalRef": "<string>",
    "startDate": "2023-12-25",
    "endDate": "2023-12-25",
    "birthPlace": "<string>",
    "birthCountry": "<string>",
    "personalEmail": "jsmith@example.com",
    "workEmail": "jsmith@example.com",
    "phoneNumbers": [
      {
        "phoneNumber": "<string>",
        "phoneType": "mobile",
        "isPrimary": false
      }
    ],
    "previousEmployeeId": "<string>",
    "nextEmployeeId": "<string>"
  },
  "bankAccounts": [
    {
      "financialInstitutionName": "<string>",
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "accountNumber": "DE: DE89370400440532013000",
      "routingNumber": "DE: 370400440",
      "iban": "DE: DE89370400440532013000",
      "swiftCode": "DE: COBADEFFXXX",
      "isActive": true,
      "isPrimary": false
    }
  ],
  "payGroupId": "<string>"
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required
employee_id
required

Response

Successful Response

Employee response model with metadata fields.

id
string
required

Unique employee identifier

organizationId
string
required

Employee's organization

createdAt
string<date-time> | null
required

Employee record creation timestamp

updatedAt
string<date-time> | null
required

Employee record last update timestamp

employeeData
DEEmployeeResponse · object
required

Country-specific employee data with IDs and timestamps

bankAccounts
BankAccountResponse · object[]
required

Employee bank accounts

payGroupId
string | null

Pay group ID for the employee